struct TDebugEvent
  .dwDebugEventCode dd ?
  .dwProcessId      dd ?
  .dwThreadId       dd ?
  .u                rd sizeof.EXCEPTION_DEBUG_INFO
  virtual at .u
    .Exception EXCEPTION_DEBUG_INFO
  end virtual
  virtual at .u
    .CreateThread CREATE_THREAD_DEBUG_INFO
  end virtual
  virtual at .u
    .CreateProcessInfo CREATE_PROCESS_DEBUG_INFO
  end virtual
  virtual at .u
    .ExitThread EXIT_THREAD_DEBUG_INFO
  end virtual
  virtual at .u
    .ExitProcess EXIT_PROCESS_DEBUG_INFO
  end virtual
  virtual at .u
    .LoadDll LOAD_DLL_DEBUG_INFO
  end virtual
  virtual at .u
    .UnloadDll UNLOAD_DLL_DEBUG_INFO
  end virtual
  virtual at .u
    .DebugString OUTPUT_DEBUG_STRING_INFO
  end virtual
  virtual at .u
    .RipInfo RIP_INFO
  end virtual
ends

